Bug 1277628 - Urgent bug fix back-ported to salt 2015.5.5 (same version as EPEL) by upstream not yet made it into EPEL.
Urgent bug fix back-ported to salt 2015.5.5 (same version as EPEL) by upstrea...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: salt (Show other bugs)
epel7
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Clint Savage
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 11:58 EST by Laurence Hurst
Modified: 2016-01-15 18:26 EST (History)
4 users (show)

See Also:
Fixed In Version: salt-2015.5.8-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-15 18:26:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Laurence Hurst 2015-11-03 11:58:28 EST
Description of problem:
Multiple salt modules encounter errors due to a bug introduced in salt 2015.5.3.  See this upstream bug report: https://github.com/saltstack/salt/issues/26280

Version-Release number of selected component (if applicable):
2015.5.5

How reproducible:
Known bug - see upstream bug report, which includes docker templates to reproduce the fault.

Steps to Reproduce:
See upstream bug report, which includes docker templates to reproduce the fault

Actual results:
Stacktrace

Expected results:
Runs correctly.

Additional info:
Upstream have back-ported the fix to 2015.5.5 - the rpm should just need re-rolling as a new release of the same version.

See upstream merge to backport fix into 2015.5.5 branch: https://github.com/saltstack/salt/pull/27681/
Comment 1 Pierre Radermecker 2015-12-08 12:56:39 EST
Any love for an update ? We are at 2015.5.8 now (at 2015.8.3 for the new release)
Comment 2 Erik Johnson 2015-12-08 18:44:11 EST
I will be looking into it this week.
Comment 3 Fedora Update System 2016-01-04 15:05:26 EST
salt-2015.5.8-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-105b3b8804
Comment 4 Erik Johnson 2016-01-04 15:14:13 EST
Sorry for the delay, I was looking into ways to get 2015.8 built on Fedora/EPEL, but our requirements for a couple of the dependencies will make that impossible. Instead, I've updated EPEL and Fedora to the latest release in the 2015.5 release cycle.
Comment 5 Pierre Radermecker 2016-01-05 10:19:27 EST
Thanks. Any idea when I can expect 2015.5.8 for el7 ?
Comment 6 Fedora Update System 2016-01-05 19:29:43 EST
salt-2015.5.8-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-105b3b8804
Comment 7 Erik Johnson 2016-01-06 12:47:46 EST
It was accepted into epel-testing 18 hours ago. Depending on how often mirrors sync, it may already be available to be installed from there.

yum --enablerepo=epel-testing install salt-minion

Packages submitted to the FBS for epel have a 2-week waiting period before they can be pushed to the stable epel repos. Builds with enough votes are automatically pushed to stable. If, after installing from epel-testing and confirming that it works to your satisfaction, you'd like to upvote the build, you can do so at the following link:

https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-039bf0137a
Comment 8 Fedora Update System 2016-01-15 18:25:34 EST
salt-2015.5.8-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.